Name: kiki
Version: 0.9.0
Release: alt10

Group: Games/Puzzles
Summary: 3D logical game
Summary(ru_RU.KOI8-R):  3D 
License: Public Domain
Url:  http://kiki.sf.net
Icon: kiki.32.png

Source0: %{name}-src-%version.tgz
Source1: %{name}.16.png
Source2: %{name}.32.png
Source3: %{name}.48.png
Source4: %{name}-manual.tar.bz2
Source5: %{name}-messages.be.po
Source6: %{name}-messages.ru.po
Patch01: %{name}-python23.patch
Patch02: %{name}-cyrillic5.patch
Patch03: %{name}-getwd.patch

BuildRequires: XFree86-devel XFree86-libs gcc-c++ libSDL-devel libSDL_mixer-devel libSDL_image-devel libSDL_ttf-devel libpng-devel libGLU-devel libglut-devel swig gettext-tools, python-devel = 2.4

%description

    once upon a time,
    there were some
    tiny little robots
    living in the nano world.

    they lived a happy artificial life
    busily collecting resources
    for the maker
    who made more and more
    tiny little robots.

    but one day,
    a parasitic capacity
    destroyed the maker's
    master control program.

    since then he is
    malfunctioning
    and only producing
    lazy stupid little robots
    which shoot each other
    and destroy the nano world.

    your task is to help kiki,
    the only sane bot left over,
    to repair the maker.

Kiki is 3D logical game.  To solve the game, you have to complete 
several levels. Every level has it's own task.
Pressing ESC will display a menu with a 'help' item which explains
what you have to do in order to fulfill this task.
Once you managed to fulfill the task, the exit gate will be activated.
If kiki moves through the activated exit gate, it will be 'beamed' to
the next level.

%description -l ru_RU.KOI8-R

   3D .  ţ   
   .    , 
   ESC      .  
 ,   .   , 
   . 

    ,   
.   , ,  , 
  ,    (   ).


%add_python_compile_exclude /usr/share/games/kiki/py
%add_python_req_skip _kiki


%prep
%setup -q -n %{name}_src
%patch01 -p1
%patch02 -p1
%patch03 -p1

%build

cd kodilib/linux
%make_build 
cd ../../kiki/linux
%make_build 
cd ..


%install
cd kiki
mkdir -p %buildroot/%_gamesbindir
mkdir -p %buildroot/%_gamesdatadir
mkdir -p %buildroot/%_gamesdatadir/%name
cp -r py sounds %buildroot/%_gamesdatadir/%name
rm -f %buildroot/%_gamesdatadir/%name/*.pyo
rm -f %buildroot/%_gamesdatadir/%name/*.pyc
cp linux/kiki %buildroot/%_gamesbindir/kiki.bin

cat > %buildroot/%_gamesbindir/%name <<EOF
#!/bin/sh
export KIKI_HOME=%_gamesdatadir/%name
%_gamesbindir/kiki.bin
EOF
chmod a=rx %buildroot/%_gamesbindir/%name

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(kiki): \
    title="Kiki" \
    section="Amusement/Puzzles" \
    command="soundwrapper %_gamesbindir/%name" \
    needs="x11" \
    icon="%name.png" \
    longtitle="Kiki the nano bot"
EOF

mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png

%__tar -jxvf %SOURCE4

install -d %buildroot/usr/share/locale/be/LC_MESSAGES
install -d %buildroot/usr/share/locale/ru/LC_MESSAGES
msgfmt %SOURCE5 -o %buildroot/usr/share/locale/be/LC_MESSAGES/%name.mo
msgfmt %SOURCE6 -o %buildroot/usr/share/locale/ru/LC_MESSAGES/%name.mo

%post
%update_menus
%postun
%clean_menus

%files
%_gamesbindir/%name
%_gamesbindir/%name.bin
%_menudir/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_gamesdatadir/%name
/usr/share/locale/be/LC_MESSAGES/%name.mo
/usr/share/locale/ru/LC_MESSAGES/%name.mo
%doc kiki/Readme.txt kiki/Thanks.txt kiki/manual

%changelog
* Wed Mar 16 2005 Gleb Stiblo <ulfR@altlinux.ru> 0.9.0-alt10
- fixed bug for utf-8
- python 2.4 in build depends

* Tue Dec 21 2004 Gleb Stiblo <ulfR@altlinux.ru> 0.9.0-alt9
- Games to Amusement changed in menu

* Mon Jul 12 2004 Gleb Stiblo <ulfR@altlinux.ru> 0.9.0-alt8
- fixed menu 

* Mon May 24 2004 Gleb Stiblo <ulfR@altlinux.ru> 0.9.0-alt7
- recompile due to new python building scheme

* Thu May 20 2004 Gleb Stiblo <ulfR@altlinux.ru> 0.9.0-alt6
- python23-devel changed to python-devel 

* Mon May 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.9.0-alt5
- glibc 2.3 build 

* Wed Mar 31 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.9.0-alt4
- nl_langinfo used now for choosing charset

* Tue Mar 09 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.9.0-alt3
- typo in russian description fixed

* Thu Mar 04 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.9.0-alt2
- russian and byelorussian translation. Only help in english now.
- getwd changed to getcwd

* Tue Feb 17 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.9.0-alt1
- ALT adaptations.


